Index: lemon/bits/graph_extender.h
===================================================================
--- lemon/bits/graph_extender.h	(revision 1194)
+++ lemon/bits/graph_extender.h	(revision 1195)
@@ -841,14 +841,4 @@
     }
 
-    std::pair<RedNode, BlueNode> asRedBlueNode(const Node& node) const {
-      if (node == INVALID) {
-        return std::make_pair(RedNode(INVALID), BlueNode(INVALID));
-      } else if (Parent::red(node)) {
-        return std::make_pair(Parent::asRedNodeUnsafe(node), BlueNode(INVALID));
-      } else {
-        return std::make_pair(RedNode(INVALID), Parent::asBlueNodeUnsafe(node));
-      }
-    }
-
     // Alterable extension
 
Index: lemon/concepts/bpgraph.h
===================================================================
--- lemon/concepts/bpgraph.h	(revision 1194)
+++ lemon/concepts/bpgraph.h	(revision 1195)
@@ -801,15 +801,4 @@
       BlueNode asBlueNode(const Node&) const { return BlueNode(); }
 
-      /// \brief Convert the node to either red or blue node.
-      ///
-      /// If the node is from the red partition then it is returned in
-      /// first and second is INVALID. If the node is from the blue
-      /// partition then it is returned in second and first is
-      /// INVALID. If the node INVALID then both first and second are
-      /// INVALID in the return value.
-      std::pair<RedNode, BlueNode> asRedBlueNode(const Node&) const {
-        return std::make_pair(RedNode(), BlueNode());
-      }
-
       /// \brief Gives back the red end node of the edge.
       /// 
Index: lemon/concepts/graph_components.h
===================================================================
--- lemon/concepts/graph_components.h	(revision 1194)
+++ lemon/concepts/graph_components.h	(revision 1195)
@@ -428,15 +428,4 @@
       /// returns INVALID.
       BlueNode asBlueNode(const Node&) const { return BlueNode(); }
-
-      /// \brief Convert the node to either red or blue node.
-      ///
-      /// If the node is from the red partition then it is returned in
-      /// first and second is INVALID. If the node is from the blue
-      /// partition then it is returned in second and first is
-      /// INVALID. If the node INVALID then both first and second are
-      /// INVALID in the return value.
-      std::pair<RedNode, BlueNode> asRedBlueNode(const Node&) const {
-        return std::make_pair(RedNode(), BlueNode());
-      }
 
       template <typename _BpGraph>
@@ -468,6 +457,5 @@
             rn = bpgraph.asRedNode(rnan);
             bn = bpgraph.asBlueNode(bnan);
-            std::pair<RedNode, BlueNode> p = bpgraph.asRedBlueNode(rnan);
-            ignore_unused_variable_warning(b,p);
+            ignore_unused_variable_warning(b);
           }
         }
Index: lemon/core.h
===================================================================
--- lemon/core.h	(revision 1194)
+++ lemon/core.h	(revision 1195)
@@ -1210,9 +1210,8 @@
 
       Value operator[](const Key& key) const {
-        std::pair<RedNode, BlueNode> red_blue_pair = _from.asRedBlueNode(key);
-        if (red_blue_pair.first != INVALID) {
-          return _red_node_ref[red_blue_pair.first];
+        if (_from.red(key)) {
+          return _red_node_ref[_from.asRedNodeUnsafe(key)];
         } else {
-          return _blue_node_ref[red_blue_pair.second];
+          return _blue_node_ref[_from.asBlueNodeUnsafe(key)];
         }
       }
Index: test/graph_test.h
===================================================================
--- test/graph_test.h	(revision 1194)
+++ test/graph_test.h	(revision 1195)
@@ -53,8 +53,4 @@
       check(G.asRedNode(nn) == n,"Wrong node conversion.");
       check(G.asBlueNode(nn) == INVALID,"Wrong node conversion.");
-      std::pair<typename Graph::RedNode, typename Graph::BlueNode> rbn =
-        G.asRedBlueNode(nn);
-      check(rbn.first == n,"Wrong node conversion.");
-      check(rbn.second == INVALID,"Wrong node conversion.");
       ++n;
     }
@@ -75,8 +71,4 @@
       check(G.asBlueNode(nn) == n,"Wrong node conversion.");
       check(G.asRedNode(nn) == INVALID,"Wrong node conversion.");
-      std::pair<typename Graph::RedNode, typename Graph::BlueNode> rbn =
-        G.asRedBlueNode(nn);
-      check(rbn.first == INVALID,"Wrong node conversion.");
-      check(rbn.second == n,"Wrong node conversion.");
       ++n;
     }
